package com.ematou.wxservice.service;

import com.ematou.wxservice.entity.pojo.UserInfo;
import com.ematou.wxservice.mapper.UserInfoMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.HashMap;

/**
 * @author lhm
 * @version 1.0
 * 2021-05-15 17:51
 */
@Service
public class UserInfoService {

    private static final Logger logger = LoggerFactory.getLogger(UserInfoService.class);

    @Autowired
    UserInfoMapper userInfoMapper;

    public UserInfo get(String openId, String phoneNumber){

        if (!StringUtils.hasLength(openId) && !StringUtils.hasLength(phoneNumber)) {
            logger.error("查询用户数据时，openId和phoneNumber必须要带有有其中一个！");
            return null;
        }
        HashMap<String, String> map = new HashMap<>();
        map.put("openId", openId);
        map.put("phoneNumber", phoneNumber);
        return userInfoMapper.queryUserInfoByOpenIdOrPhoneNumber(map);
    }

}
